Package com.xebialabs.xlrelease.risk.domain

# Class Risk

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.ReleaseExtension
com.xebialabs.xlrelease.risk.domain.Risk

All Implemented Interfaces:
  `ConfigurationItem`, `VisitableItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(versioned=false, description="Summary of risk calculations. Risk calculates the health of the release and how severe are issues") public class Risk extends ReleaseExtension

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `RISK_PREFIX`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Risk()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<RiskAssessment>`
  `getRiskAssessments()`
  `Integer`
  `getScore()`
  `Integer`
  `getTotalScore()`
  `void`
  `setRiskAssessments(List<RiskAssessment> riskAssessments)`
  `void`
  `setScore(Integer score)`
  `void`
  `setTotalScore(Integer totalScore)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.ReleaseExtension

  `accept, getVariableUsages`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### RISK_PREFIX

    public static final String RISK_PREFIX
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Risk

    public Risk()

- ## Method Details

  - ### getScore

    public Integer getScore()

  - ### setScore

    public void setScore(Integer score)

  - ### getTotalScore

    public Integer getTotalScore()

  - ### setTotalScore

    public void setTotalScore(Integer totalScore)

  - ### getRiskAssessments

    public List<RiskAssessment> getRiskAssessments()

  - ### setRiskAssessments

    public void setRiskAssessments(List<RiskAssessment> riskAssessments)